## showtime-4.3.tar.bz2

=== Makefile ===
#
#  Showtime mediacenter
#  Copyright (C) 2007-2011 Andreas Öman
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

.SUFFIXES:
SUFFIXES=

# All targets deps on Makefile, but we can comment that out during dev:ing
ALLDEPS=${BUILDDIR}/config.mak Makefile support/${OS}.mk

include ${CURDIR}/config.default

ALLDEPS += ${STAMPS}

OPTFLAGS ?= -O2

BUILDDIR = build.${BUILD}
PROG=${BUILDDIR}/showtime

include ${BUILDDIR}/config.mak

CFLAGS  = -Wall -Werror -Wwrite-strings -Wno-deprecated-declarations 
CFLAGS += -Wmissing-prototypes -Wno-multichar -Iext/dvd ${OPTFLAGS}




##############################################################
# Core
##############################################################
SRCS += src/showtime.c \
	src/trace.c \
	src/runcontrol.c \
	src/version.c \
	src/navigator.c \
	src/backend/backend.c \
	src/backend/backend_prop.c \
	src/backend/search.c \
	src/media.c \
	src/event.c \
	src/keyring.c \
	src/settings.c \
	src/service.c \
	src/notifications.c \
	src/playqueue.c \
	src/keymapper.c \
	src/plugins.c \
	src/upgrade.c \
	src/blobcache_file.c \
	src/i18n.c \
	src/prop/prop_core.c \
	src/prop/prop_nodefilter.c \
	src/prop/prop_tags.c \
	src/prop/prop_vector.c \
	src/prop/prop_grouper.c \
	src/prop/prop_concat.c \
	src/prop/prop_reorder.c \
	src/metadata/metadata.c \
	src/metadata/metadb.c \
	src/metadata/decoration.c \
	src/metadata/browsemdb.c \

SRCS-${CONFIG_LIBAV} += src/libav.c

SRCS-${CONFIG_EMU_THREAD_SPECIFICS} += src/arch/emu_thread_specifics.c

BUNDLES += resources/metadb
BUNDLES += resources/kvstore

SRCS-$(CONFIG_WEBPOPUP) += src/ui/webpopup.c

##############################################################
# Misc support
##############################################################
SRCS +=	src/misc/ptrvec.c \
	src/misc/callout.c \
	src/misc/rstr.c \
	src/misc/pixmap.c \
	src/misc/svg.c \
	src/misc/jpeg.c \
	src/misc/gz.c \
	src/misc/str.c \
	src/misc/codepages.c \
	src/misc/fs.c \
	src/misc/extents.c \
	src/misc/isolang.c \
	src/misc/dbl.c \
	src/misc/json.c \
	src/misc/unicode_composition.c \
	src/misc/pool.c \

SRCS-${CONFIG_TREX} += ext/trex/trex.c

##############################################################
# Sqlite3
##############################################################
SRCS-${CONFIG_SQLITE_INTERNAL} += ext/sqlite/sqlite3.c

SRCS += src/db/db_support.c \
	src/db/kvstore.c \


${BUILDDIR}/ext/sqlite/sqlite3.o : CFLAGS = -O2 ${SQLITE_CFLAGS_cfg} \
 -DSQLITE_THREADSAFE=2 \
 -DSQLITE_OMIT_UTF16 \
 -DSQLITE_OMIT_AUTOINIT \
 -DSQLITE_OMIT_COMPLETE \
 -DSQLITE_OMIT_DECLTYPE \
 -DSQLITE_OMIT_DEPRECATED \
 -DSQLITE_OMIT_EXPLAIN \
 -DSQLITE_OMIT_GET_TABLE \
 -DSQLITE_OMIT_TCL_VARIABLE \
 -DSQLITE_OMIT_LOAD_EXTENSION \
 -DSQLITE_DEFAULT_FOREIGN_KEYS=1 \
 -DSQLITE_ENABLE_UNLOCK_NOTIFY \


SRCS-$(CONFIG_SQLITE_VFS) += src/db/vfs.c

##############################################################
# HTSMSG
##############################################################
SRCS +=	src/htsmsg/htsbuf.c \
	src/htsmsg/htsmsg.c \
	src/htsmsg/htsmsg_json.c \
	src/htsmsg/htsmsg_xml.c \
	src/htsmsg/htsmsg_binary.c \
	src/htsmsg/htsmsg_store.c \


##############################################################
# Virtual FS system
##############################################################
SRCS += src/fileaccess/fileaccess.c \
	src/fileaccess/fa_fs.c \
	src/fileaccess/fa_rar.c \
	src/fileaccess/fa_http.c \
	src/fileaccess/fa_zip.c \
	src/fileaccess/fa_zlib.c \
	src/fileaccess/fa_bundle.c \
	src/fileaccess/fa_sidfile.c \
	src/fileaccess/fa_nativesmb.c \
	src/fileaccess/fa_buffer.c \
	src/fileaccess/fa_imageloader.c \
	src/fileaccess/fa_indexer.c \

SRCS-$(CONFIG_LIBAV) += \
	src/fileaccess/fa_probe.c \
	src/fileaccess/fa_libav.c \
	src/fileaccess/fa_backend.c \
	src/fileaccess/fa_scanner.c \
	src/fileaccess/fa_video.c \
	src/fileaccess/fa_audio.c \

SRCS-$(CONFIG_LIBGME)          += src/fileaccess/fa_gmefile.c
SRCS-$(CONFIG_LOCATEDB)        += src/fileaccess/fa_locatedb.c
SRCS-$(CONFIG_SPOTLIGHT)       += src/fileaccess/fa_spotlight.c
SRCS-$(CONFIG_READAHEAD_CACHE) += src/fileaccess/fa_cache.c

SRCS += ext/audio/sid.c

##############################################################
# Service Discovery
##############################################################

SRCS 			+= src/sd/sd.c
SRCS-$(CONFIG_AVAHI) 	+= src/sd/avahi.c
SRCS-$(CONFIG_BONJOUR) 	+= src/sd/bonjour.c

${BUILDDIR}/src/sd/avahi.o : CFLAGS = $(CFLAGS_AVAHI) -Wall -Werror  ${OPTFLAGS}

BUNDLES += resources/tvheadend
BUNDLES += resources/fileaccess


##############################################################
# APIs
##############################################################
SRCS += 		src/api/xmlrpc.c \
			src/api/soap.c \
			src/api/lastfm.c \
			src/api/tmdb.c \
			src/api/tvdb.c \

SRCS-$(CONFIG_HTTPSERVER) += src/api/httpcontrol.c
SRCS-$(CONFIG_AIRPLAY) += src/api/airplay.c

##############################################################
# Networking
##############################################################
SRCS += src/networking/net_common.c \
	src/networking/http.c \

SRCS-$(CONFIG_HTTPSERVER) += src/networking/http_server.c
SRCS-$(CONFIG_HTTPSERVER) += src/networking/ssdp.c
SRCS-$(CONFIG_HTTPSERVER) += \
			src/upnp/upnp.c \
			src/upnp/upnp_control.c \
			src/upnp/upnp_event.c \
			src/upnp/upnp_browse.c \
			src/upnp/upnp_avtransport.c \
			src/upnp/upnp_renderingcontrol.c \
			src/upnp/upnp_connectionmanager.c \

##############################################################
# Video support
##############################################################
SRCS += src/video/video_playback.c \
	src/video/video_decoder.c \
	src/video/video_settings.c \

SRCS-$(CONFIG_VDPAU)    += src/video/vdpau.c
SRCS-$(CONFIG_PS3_VDEC) += src/video/ps3_vdec.c
SRCS-$(CONFIG_VDA)      += src/video/vda.c

##############################################################
# Subtitles
##############################################################
SRCS += src/subtitles/sub_ass.c \
	src/subtitles/ext_subtitles.c \
	src/subtitles/dvdspu.c \
	src/subtitles/vobsub.c \
	src/subtitles/sub_scanner.c \
	src/subtitles/video_overlay.c \

##############################################################
# Text rendering
##############################################################
SRCS-$(CONFIG_LIBFREETYPE) += src/text/freetype.c
SRCS-$(CONFIG_LIBFONTCONFIG) += src/text/fontconfig.c
SRCS += src/text/parser.c
SRCS += src/text/fontstash.c

##############################################################
# Audio subsys
##############################################################
SRCS-$(CONFIG_LIBAV) += src/audio2/audio.c

##############################################################
# DVD
##############################################################
SRCS-$(CONFIG_DVD)       += src/backend/dvd/dvd.c
SRCS-$(CONFIG_DVD_LINUX) += src/backend/dvd/linux_dvd.c
SRCS-$(CONFIG_DVD_WII)   += src/backend/dvd/wii_dvd.c
SRCS-$(CONFIG_CDDA)      += src/backend/dvd/cdda.c

##############################################################
# TV
##############################################################
SRCS  += src/backend/htsp/htsp.c \

##############################################################
# Shoutcast
##############################################################
SRCS-$(CONFIG_LIBAV)  += src/backend/shoutcast/shoutcast.c \

##############################################################
# Spotify
##############################################################
SRCS-${CONFIG_SPOTIFY} += src/backend/spotify/spotify.c
BUNDLES-$(CONFIG_SPOTIFY) += resources/spotify

##############################################################
# libsidplay2
##############################################################

SRCS-${CONFIG_LIBSIDPLAY2} += \
	src/backend/sid/sid_wrapper.cpp \
	src/backend/sid/sid.c

##############################################################
# GLW user interface
##############################################################
SRCS-$(CONFIG_GLW)   += src/ui/glw/glw.c \
			src/ui/glw/glw_settings.c \
			src/ui/glw/glw_renderer.c \
			src/ui/glw/glw_event.c \
			src/ui/glw/glw_view.c \
		     	src/ui/glw/glw_view_lexer.c \
		     	src/ui/glw/glw_view_parser.c \
			src/ui/glw/glw_view_eval.c \
			src/ui/glw/glw_view_preproc.c \
			src/ui/glw/glw_view_support.c \
			src/ui/glw/glw_view_attrib.c \
			src/ui/glw/glw_view_loader.c \
			src/ui/glw/glw_dummy.c \
			src/ui/glw/glw_container.c \
			src/ui/glw/glw_list.c \
			src/ui/glw/glw_clist.c \
			src/ui/glw/glw_array.c \
			src/ui/glw/glw_deck.c \
			src/ui/glw/glw_playfield.c \
			src/ui/glw/glw_layer.c \
			src/ui/glw/glw_expander.c \
			src/ui/glw/glw_slider.c \
			src/ui/glw/glw_rotator.c  \
			src/ui/glw/glw_detachable.c  \
			src/ui/glw/glw_throbber.c  \
			src/ui/glw/glw_slideshow.c \
			src/ui/glw/glw_freefloat.c \
			src/ui/glw/glw_multitile.c \
			src/ui/glw/glw_transitions.c \
			src/ui/glw/glw_navigation.c \
			src/ui/glw/glw_texture_loader.c \
			src/ui/glw/glw_image.c \
			src/ui/glw/glw_text_bitmap.c \
			src/ui/glw/glw_fx_texrot.c \
			src/ui/glw/glw_bloom.c \
			src/ui/glw/glw_cube.c \
			src/ui/glw/glw_displacement.c \
			src/ui/glw/glw_coverflow.c \
			src/ui/glw/glw_mirror.c \
			src/ui/glw/glw_video_common.c \
			src/ui/glw/glw_video_overlay.c \
			src/ui/glw/glw_bar.c \
			src/ui/glw/glw_flicker.c \
			src/ui/glw/glw_keyintercept.c \
			src/ui/glw/glw_clip.c \
			src/ui/glw/glw_primitives.c \
			src/ui/glw/glw_math.c \
			src/ui/glw/glw_underscan.c \

SRCS-$(CONFIG_GLW_FRONTEND_X11)	  += src/ui/glw/glw_x11.c \
				     src/ui/linux/x11_common.c

SRCS-$(CONFIG_GLW_BACKEND_OPENGL) += src/ui/glw/glw_opengl_common.c \
                                     src/ui/glw/glw_opengl_shaders.c \
                                     src/ui/glw/glw_opengl_ff.c \
                                     src/ui/glw/glw_opengl_ogl.c \
                                     src/ui/glw/glw_texture_opengl.c \
                                     src/ui/glw/glw_video_opengl.c \
                                     src/ui/glw/glw_video_vdpau.c \

SRCS-$(CONFIG_GLW_BACKEND_OPENGL_ES) += src/ui/glw/glw_opengl_common.c \
                                        src/ui/glw/glw_opengl_shaders.c \
                                        src/ui/glw/glw_opengl_es.c \
                                        src/ui/glw/glw_texture_opengl.c \


SRCS-$(CONFIG_GLW_FRONTEND_PS3)   += src/ui/glw/glw_ps3.c
SRCS-$(CONFIG_GLW_BACKEND_RSX)    += src/ui/glw/glw_rsx.c
SRCS-$(CONFIG_GLW_BACKEND_RSX)    += src/ui/glw/glw_texture_rsx.c
SRCS-$(CONFIG_GLW_BACKEND_RSX)    += src/ui/glw/glw_video_rsx.c

SRCS-$(CONFIG_GLW_FRONTEND_WII)	  += src/ui/glw/glw_wii.c
SRCS-$(CONFIG_GLW_BACKEND_GX)     += src/ui/glw/glw_texture_gx.c
SRCS-$(CONFIG_GLW_BACKEND_GX)     += src/ui/glw/glw_gx.c
SRCS-$(CONFIG_GLW_BACKEND_GX)     += src/ui/glw/glw_video_gx.c
SRCS-$(CONFIG_GLW_BACKEND_GX)     += src/ui/glw/glw_gxasm.S

SRCS-$(CONFIG_NVCTRL)             += src/ui/linux/nvidia.c

BUNDLES-$(CONFIG_GLW_BACKEND_OPENGL) += src/ui/glw/glsl
BUNDLES-$(CONFIG_GLW_BACKEND_OPENGL_ES) += src/ui/glw/glsl

##############################################################
# GTK based interface
##############################################################
SRCS-$(CONFIG_GU) +=    src/ui/gu/gu.c \
			src/ui/gu/gu_helpers.c \
			src/ui/gu/gu_pixbuf.c \
			src/ui/gu/gu_popup.c \
			src/ui/gu/gu_menu.c \
			src/ui/gu/gu_menubar.c \
			src/ui/gu/gu_toolbar.c \

=== ext/spotify/Makefile ===
apifunctions.h:	api.h Makefile
	echo >$@ "//Autogenerated"
	echo >>$@ "#ifdef CONFIG_LIBSPOTIFY_LOAD_RUNTIME"
	grep <$< SP_LIBEXPORT|grep -v "#" | sed "s/^SP_LIBEXPORT(\(.*\))\ \(.*\)(\(.*\));/static \1(*f_\2)(\3);/" >>$@
	echo >>$@ "static const char *resolvesym(void *handle) {"
	grep <$< SP_LIBEXPORT|grep -v "#" | sed "s/^SP_LIBEXPORT(\(.*\))\ \(.*\)(\(.*\));/if((f_\2=dlsym(handle,\"\2\"))==NULL) return \"\2\";/"  >>$@
	echo >>$@ "return NULL;}"
	echo >>$@ "#else"
	grep <$< SP_LIBEXPORT|grep -v "#" | sed "s/^SP_LIBEXPORT(\(.*\))\ \(.*\)(\(.*\));/#define f_\2 \2/"  >>$@
	echo >>$@ "#endif"

=== ext/sqlite/Makefile ===
sqlite3: sqlite3.c shell.c
	gcc -O2 -DSQLITE_DEFAULT_FOREIGN_KEYS=1 shell.c sqlite3.c -ldl -lpthread -o sqlite3 -DHAVE_READLINE -lreadline

clean:
	rm -f sqlite3

=== support/traceprint/Makefile ===
traceprint: main.c
	gcc main.c -o traceprint

clean: 
	rm -rf *~ traceprint

=== ext/dvd/dvdcss/Makefile ===
# Makefile for libhts

-include ../../config.mak

SRCS = css.c device.c error.c ioctl.c libdvdcss.c

L = libdvdcss

LIBS_INSTALL = $(LIBS_INSTALL_BASE)
INCLUDES_INSTALL = $(INCLUDES_INSTALL_BASE)/dvdcss

CFLAGS +=  $(HTS_CFLAGS) -DHAVE_LIMITS_H -DHAVE_UNISTD_H -DHAVE_ERRNO_H
CFLAGS +=  -DHAVE_LINUX_DVD_STRUCT -DDVD_STRUCT_IN_LINUX_CDROM_H
CFLAGS +=  -DVERSION="0"
CFLAGS += -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS +=  -I$(INCLUDES_INSTALL_BASE)

HEADERS = dvdcss.h

include ../../build/lib.mk

=== src/ui/glw/rsx/Makefile ===

all: 	v1.vp \
	f_tex.fp \
	f_flat.fp \
	f_tex_blur.fp \
	yuv2rgb_1f_norm.fp \
	yuv2rgb_2f_norm.fp \
	yuv2rgb_v.vp \
	f_flat_stencil.fp \
	f_tex_stencil.fp \
	f_tex_stencil.fp \
	f_tex_stencil_blur.fp \

%.fp40: ../glsl/%.glsl
	cgc -oglsl -profile fp40 $< >$@

%.fp: %.fp40
	cgcomp -a -f $< $@


%.vp40: ../glsl/%.glsl
	cgc -oglsl -profile vp40 $< >$@

%.vp: %.vp40
	cgcomp -a -v $< $@


clean:
	rm -f *.fp *.vp

=== debian/control ===
Source: showtime
Section: main
Priority: extra
Maintainer: Andreas Öman <andreas@lonelycoder.com>
Build-Depends: debhelper  (>= 7.0.50), pkg-config, libfreetype6-dev, libfontconfig1-dev, libx11-dev, libxext-dev, libgl1-mesa-dev, libasound-dev, libpulse-dev, libgtk2.0-dev, libxss-dev, libxxf86vm-dev, libxv-dev, libcdio-cdda-dev, libssl-dev, libvdpau-dev, libgme-dev, libsidplay2-dev, libresid-builder-dev, yasm, curl, libsqlite3-dev

Package: showtime
Section: main
Architecture: any
Depends: ${shlibs:Depends}, hal
Description: OpenGL based Mediaplayer
 An OpenGL based media player focused for use as a home-entertainment-system.
 Based on ffmpeg 'http://www.ffmpeg.org'.

Package: showtime-dbg
Section: debug
Architecture: any
Depends: showtime (= ${Source-Version})
Description: Debug symbols for Showtime

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-all --disable-cddb ${USE_CCACHE} ${JOBSARGS} ${ARCH}

override_dh_installdocs:
	@echo No documentation

override_dh_auto_build:
	make ${JARGS}

override_dh_strip:
	dh_strip --dbg-package=showtime-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/showtime
